# Simulationstudie fr das Paper

# Vergleich von tau-differencen (tau-matrix differences)
# Vorgehen: Lege ein Modell mit Copula-Familien und Parametern fest. (und damit auch die Struktur). => CV_0
# Simuliere davon => u_0
# Selektiere eine C-vine auf diesen Daten. => CV_1
# Simuliere von diesem gefitteten C-vine => u_1
# Berechne aus u_0 und u_1 jeweils eine Kendall's tau matrix => tau_ij^0 und tau_ij^1
# Messe den Abstand zwischen den Matrizen (abst = 2/(d*(d-1))sum_{i<j}|tau_ij^0 - tau_ij^1|
# Mache davon 100 Widerholungen r=100

# Setting
r=100
n1=1000
n2=10000
d=4
dd=d*(d-1)/2
type=1

# Lade Paket
library("MASS")
library("igraph")
library("mvtnorm", lib.loc="/naslx/projects/pr23fo/Rlibs/")
library("CDRVine", lib.loc="/naslx/projects/pr23fo/Rlibs/")

# Prozedur durchfhren
tau_diff<-function(n1,n2,d,r,fam,par,par2)
{
	dd=length(fam)
	abst=numeric()

	for(i in 1:r)
	{
	# Simuliere vom Model mit N=n2
	u0=CDVineSim(n1,d,fam,par,par2,type=1)

	# Modelselection
	cvine=RVineStructureSelect(u0,type=1, indeptest=TRUE)

	# cvine umwandeln
	RVM=as.RVineMatrix(cvine)

	# Simuliere von dem gefundenen Modell mit N=n2
	u1=RVineSim(n2,RVM)

	# Berechne die Kendall's tau Matrizen
	tau0=cor(u0,method="kendall")
	tau1=cor(u1,method="kendall")

	# Abstandberechnen
	diff=abs(tau0-tau1)
	abst[i]=sum(diff[lower.tri(diff)])
	}

	# Mean berechnen
	kennzahl=mean(abst)

return(kennzahl)
}



# Model 1c
fam=c(1,3,4,5,6,2)
par=c(0.95,8,5,1.86,1.44,0.31)
par2=c(0,0,0,0,0,3)
kennzahl1_3=tau_diff(n1,n2,d,r,fam,par,par2)
kennzahl1_3
