#!/bin/bash 
# job name: Simulationsstudie
# this value is also stored in the variable $JOB_NAME
#$-N Simulationsstudie
#$-o /home/cluster/pr23fo/lu32bit/Paper/$JOB_ID.stdout -j y
#$-S /bin/bash
#$-M schepsmeier@ma.tum.de 
#$-l march=x86_64  
#$-pe shm_32 32 
#$-l h_rt=12:0:0

# start job in the directory from which it was submitted.
# All paths later on have to be specified absolute or relative to
# the directory in which "qsub this-configuration-file" is
# executed
#$-cwd
 
# set environment for bash
. /etc/profile 

# configure OpenMP
# see Chapter "Efficient resource usage"
export OMP_NUM_THREADS=$NSLOTS

# load R
module load R/2.10.1

# execute multiple serial jobs in background
R --no-save -q <Model1_1.r> Model1_1.txt &
R --no-save -q <Model1_2.r> Model1_2.txt &
R --no-save -q <Model1_3.r> Model1_3.txt &
R --no-save -q <Model1_4.r> Model1_4.txt &
R --no-save -q <Model2_1.r> Model2_1.txt &
R --no-save -q <Model2_2.r> Model2_2.txt &
R --no-save -q <Model2_3.r> Model2_3.txt &
R --no-save -q <Model2_4.r> Model2_4.txt &
R --no-save -q <Model3_1.r> Model3_1.txt &
R --no-save -q <Model3_2.r> Model3_2.txt &
R --no-save -q <Model3_3.r> Model3_3.txt &
R --no-save -q <Model3_4.r> Model3_4.txt &
R --no-save -q <Model4_1.r> Model4_1.txt &
R --no-save -q <Model4_2.r> Model4_2.txt &
R --no-save -q <Model4_3.r> Model4_3.txt &
R --no-save -q <Model4_4.r> Model4_4.txt &
R --no-save -q <Model5_1.r> Model5_1.txt &
R --no-save -q <Model5_2.r> Model5_2.txt &
R --no-save -q <Model5_3.r> Model5_3.txt &
R --no-save -q <Model5_4.r> Model5_4.txt &
R --no-save -q <Model6_1.r> Model6_1.txt &
R --no-save -q <Model6_2.r> Model6_2.txt &
R --no-save -q <Model6_3.r> Model6_3.txt &
R --no-save -q <Model6_4.r> Model6_4.txt &
R --no-save -q <Model7_1.r> Model7_1.txt &
R --no-save -q <Model7_2.r> Model7_2.txt &
R --no-save -q <Model7_3.r> Model7_3.txt &
R --no-save -q <Model7_4.r> Model7_4.txt &
R --no-save -q <Model8_1.r> Model8_1.txt &
R --no-save -q <Model8_2.r> Model8_2.txt &
R --no-save -q <Model8_3.r> Model8_3.txt &
R --no-save -q <Model8_4.r> Model8_4.txt &
wait
